pcl::SparseQuantizedMultiModTemplate Struct Reference

A multi-modality template constructed from a set of quantized multi-modality features. More...

`#include <pcl/recognition/sparse_quantized_multi_mod_template.h>`

## Public Member Functions

| SparseQuantizedMultiModTemplate ()
| Constructor. More...
void | serialize (std::ostream &stream) const
| Serializes the object to the specified stream. More...
void | deserialize (std::istream &stream)
| Deserializes the object from the specified stream. More...

## Public Attributes

std::vector< QuantizedMultiModFeature > | features
| The storage for the multi-modality features. More...
RegionXY | region
| The region assigned to the template. More...

## Detailed Description

A multi-modality template constructed from a set of quantized multi-modality features.

Author
  Stefan Holzer

Definition at line 109 of file sparse_quantized_multi_mod_template.h.

## Constructor & Destructor Documentation

pcl::SparseQuantizedMultiModTemplate::SparseQuantizedMultiModTemplate | ( |  | ) |

inline

Constructor.

Definition at line 112 of file sparse_quantized_multi_mod_template.h.

## Member Function Documentation

void pcl::SparseQuantizedMultiModTemplate::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the object from the specified stream.

Parameters

  [in] | stream | the stream the object will be deserialized from.

Definition at line 138 of file sparse_quantized_multi_mod_template.h.

References pcl::RegionXY::deserialize(), and pcl::read().

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates().

void pcl::SparseQuantizedMultiModTemplate::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the object to the specified stream.

Parameters

  [out] | stream | the stream the object will be serialized to.

Definition at line 123 of file sparse_quantized_multi_mod_template.h.

References pcl::RegionXY::serialize(), and pcl::write().

## Member Data Documentation

std::vector<QuantizedMultiModFeature> pcl::SparseQuantizedMultiModTemplate::features

The storage for the multi-modality features.

Definition at line 115 of file sparse_quantized_multi_mod_template.h.

RegionXY pcl::SparseQuantizedMultiModTemplate::region

The region assigned to the template.

Definition at line 118 of file sparse_quantized_multi_mod_template.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/sparse_quantized_multi_mod_template.h